<!--
    PersonTabell.jsp - "Programmering i Java", 4.utgave - 2009-07-01
    Henter ut data fra person-tabellen, som er laget slik:
        create table person(
           persnr    integer primary key, 
           fornavn   varchar(30) not null,
           etternavn varchar(30) not null);
    Databasenavn og driver m tilpasses det databasesystemet du bruker.
-->   

<html><head><title>Enkel databasetest</title></head><body>

<font size="+2">Personer registrert i databasen</font>
<br><br>
<%@ page import="java.sql.*" %>
<table border="1">
  <tr><th>Personnr</th><th>Fornavn</th><th>Etternavn</th></tr>
  <%
  Connection forbindelse = null;
  Statement setning = null;
  ResultSet resSet = null;
  try{
    String dbDriver = "org.apache.derby.jdbc.ClientDriver";
	  String dbNavn
	       = "jdbc:derby://localhost:1527/persondata;user=vprg;password=vprg";
    Class.forName(dbDriver);
    forbindelse = DriverManager.getConnection(dbNavn);
    setning = forbindelse.createStatement();
    String sql = "select * from person";
    resSet = setning.executeQuery(sql);
    while (resSet.next()) {
      out.print("<tr><td>" + resSet.getString("persnr") + "</td>");
      out.print("<td>" + resSet.getString("fornavn") + "</td>");
      out.println("<td>" + resSet.getString("etternavn") + "</td></tr>");
    }
  } catch (Exception e) {
    out.print("Feil ved databasetilkobling/bruk: " + e);
  } finally {
    mittBibliotek.Opprydder.lukkResSet(resSet);
    mittBibliotek.Opprydder.lukkSetning(setning);
    mittBibliotek.Opprydder.lukkForbindelse(forbindelse);
  }  
  %>
</table>
</body></html>